## golang-github-openprinting-goipp 0.0~git20200517.da79ff1

=== debian/changelog ===
golang-github-openprinting-goipp (0.0~git20200517.da79ff1-3) unstable; urgency=medium

  [ Roger Shimizu ]
  * d/control: Add Multi-Arch: foreign

 -- Didier Raboud <odyx@debian.org>  Fri, 07 Aug 2020 13:59:36 +0200

golang-github-openprinting-goipp (0.0~git20200517.da79ff1-2) unstable; urgency=medium

  * debian/control:
    - Add back myself as uploader.

 -- Roger Shimizu <rosh@debian.org>  Fri, 17 Jul 2020 00:44:17 +0900

golang-github-openprinting-goipp (0.0~git20200517.da79ff1-1) unstable; urgency=low

  * Initial release (Closes: #964590)

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jul 2020 22:12:08 +0200

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/OpenPrinting/goipp.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-openprinting-goipp_$1.orig.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/OpenPrinting/goipp/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-openprinting-goipp 1.1.0

=== Makefile ===
all:
	-gotags -R . > tags
	go build

test:
	go test

## golang-github-openprinting-goipp 1.0.0

=== debian/changelog ===
golang-github-openprinting-goipp (1.0.0-2) unstable; urgency=medium

  * Remove myself from Uploaders
  * S-V: Update to 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Sep 2021 16:03:52 +0200

golang-github-openprinting-goipp (1.0.0-1) unstable; urgency=medium

  * New 1.0.0 tag, identical to latest upstream snapshot

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Aug 2020 10:09:57 +0200

=== debian/control ===
Source: golang-github-openprinting-goipp
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Debian Printing Team <debian-printing@lists.debian.org>,
 Roger Shimizu <rosh@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp.git
Homepage: https://github.com/OpenPrinting/goipp
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/OpenPrinting/goipp

Package: golang-github-openprinting-goipp-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: IPP core protocol in pure Go Library (RFC 8010)
 The goipp library is fairly complete implementation of IPP core protocol
 in pure Go. Essentially, it is  IPP messages parser/composer. Transport
 is not implemented here, because Go standard library has an excellent
 built-in HTTP client, and it doesn't make a lot of sense to wrap it here.
 .
 High-level requests, like "print a file" are also not implemented,
 only the low-level stuff.

## golang-github-openprinting-goipp 1.0.0-1%2B9.0trisquel1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: golang-github-openprinting-goipp
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
+ Didier Raboud <odyx@debian.org>,
  Debian Printing Team <debian-printing@lists.debian.org>,
- Roger Shimizu <rosh@debian.org>,
+ Roger Shimizu <rosh@debian.org>
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 12),
  dh-golang,
- golang-any,
-Standards-Version: 4.6.0
+ golang-any
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp.git
 Homepage: https://github.com/OpenPrinting/goipp
@@ -20,8 +21,7 @@
 Package: golang-github-openprinting-goipp-dev
 Architecture: all
 Multi-Arch: foreign
-Depends:
- ${misc:Depends},
+Depends: ${misc:Depends}
 Description: IPP core protocol in pure Go Library (RFC 8010)
  The goipp library is fairly complete implementation of IPP core protocol
  in pure Go. Essentially, it is  IPP messages parser/composer. Transport

## golang-github-openprinting-goipp 1.0.0-1+9.0trisquel1

=== debian/changelog ===
golang-github-openprinting-goipp (1.0.0-1+9.0trisquel1) etiona; urgency=medium

  * Backported from groovy

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 11 Jan 2021 19:29:01 +0000

## golang-github-openprinting-goipp 1.1.0

=== debian/changelog ===
golang-github-openprinting-goipp (1.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
    - Needed by ipp-usb 0.99.24

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 28 Feb 2024 21:35:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: golang-github-openprinting-goipp
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
- Didier Raboud <odyx@debian.org>,
  Debian Printing Team <debian-printing@lists.debian.org>,
- Roger Shimizu <rosh@debian.org>
+ Roger Shimizu <rosh@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-golang,
- golang-any
-Standards-Version: 4.5.0
+ golang-any,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-openprinting-goipp.git
 Homepage: https://github.com/OpenPrinting/goipp
@@ -21,7 +21,8 @@
 Package: golang-github-openprinting-goipp-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: IPP core protocol in pure Go Library (RFC 8010)
  The goipp library is fairly complete implementation of IPP core protocol
  in pure Go. Essentially, it is  IPP messages parser/composer. Transport
